# Get Raw Message (/api-reference/get-raw-message)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 617 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Get Raw Message

`GET /v0/inboxes/{inbox_id}/messages/{message_id}/raw`

Get Raw Message

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "message_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "MessageId",
        "type": "string",
        "description": "ID of message."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "RawMessageResponse",
            "type": "object",
            "description": "S3 presigned URL to download the raw .eml file.",
            "properties": {
              "message_id": {
                "title": "MessageId",
                "type": "string",
                "description": "ID of message."
              },
              "size": {
                "title": "MessageSize",
                "type": "integer",
                "description": "Size of message in bytes."
              },
              "download_url": {
                "type": "string",
                "description": "S3 presigned URL to download the raw message. Expires at expires_at."
              },
              "expires_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which the download URL expires."
              }
            },
            "required": [
              "message_id",
              "size",
              "download_url",
              "expires_at"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
